package com.fs.his.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@TableName("fs_integral_cart")
@Data
public class FsIntegralCart {
    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 积分商品ID
     */
    private Long goodsId;
    /**
     * 所需积分-单价
     */
    private Long integral;
    /**
     * 所需金额-单价
     */
    private BigDecimal cash;
    /**
     * 数量
     */
    private Integer cartNum;
    /**
     * 添加时间
     */
    private LocalDateTime createTime;
    /**
     * 修改时间
     */
    private LocalDateTime updateTime;
}
