package com.fs.his.param;

import com.fs.his.enums.BusinessTypeEnum;
import com.fs.his.enums.PaymentMethodEnum;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class PayOrderParam {
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 订单编码
     */
    private String orderCode;
    /**
     * 支付金额
     */
    private BigDecimal amount;
    /**
     * 公司ID
     */
    private Long companyId;
    /**
     * 销售ID
     */
    private Long companyUserId;
    /**
     * 门店ID
     */
    private Long storeId;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 支付方式
     */
    private PaymentMethodEnum paymentMethod;
    /**
     * 业务类型
     */
    private BusinessTypeEnum businessType;
}
